<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>Mercurial Distributed SCM</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="mercurial-distributed-scm">
<h1 class="title">Mercurial Distributed SCM</h1>

<div class="section" id="commands">
<h1>Commands</h1>
<div class="section" id="repository-creation">
<h2>Repository creation</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="hg-clone.html">clone</a>:</th><td class="field-body">make a copy of an existing repository</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-init.html">init</a>:</th><td class="field-body">create a new repository in the given directory</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="remote-repository-management">
<h2>Remote repository management</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="hg-incoming.html">incoming</a>:</th><td class="field-body">show new changesets found in source (aliases: <em>in</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-outgoing.html">outgoing</a>:</th><td class="field-body">show changesets not found in the destination (aliases: <em>out</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-paths.html">paths</a>:</th><td class="field-body">show aliases for remote repositories</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-pull.html">pull</a>:</th><td class="field-body">pull changes from the specified source</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-push.html">push</a>:</th><td class="field-body">push changes to the specified destination</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-serve.html">serve</a>:</th><td class="field-body">start stand-alone webserver</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="change-creation">
<h2>Change creation</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="hg-commit.html">commit</a>:</th><td class="field-body">commit the specified files or all outstanding changes (aliases: <em>ci</em>)</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="change-manipulation">
<h2>Change manipulation</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="hg-backout.html">backout</a>:</th><td class="field-body">reverse effect of earlier changeset</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-graft.html">graft</a>:</th><td class="field-body">copy changes from other branches onto the current branch</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-merge.html">merge</a>:</th><td class="field-body">merge another revision into working directory</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="change-organization">
<h2>Change organization</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="hg-bookmarks.html">bookmarks</a>:</th><td class="field-body">create a new bookmark or list existing bookmarks (aliases: <em>bookmark</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-branch.html">branch</a>:</th><td class="field-body">set or show the current branch name</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-branches.html">branches</a>:</th><td class="field-body">list repository named branches</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-phase.html">phase</a>:</th><td class="field-body">set or show the current phase name</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-tag.html">tag</a>:</th><td class="field-body">add one or more tags for the current or given revision</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-tags.html">tags</a>:</th><td class="field-body">list repository tags</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="file-content-management">
<h2>File content management</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="hg-annotate.html">annotate</a>:</th><td class="field-body">show changeset information by line for each file (aliases: <em>blame</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-cat.html">cat</a>:</th><td class="field-body">output the current or given revision of files</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-copy.html">copy</a>:</th><td class="field-body">mark files as copied for the next commit (aliases: <em>cp</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-diff.html">diff</a>:</th><td class="field-body">diff repository (or selected files)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-grep.html">grep</a>:</th><td class="field-body">search for a pattern in specified files</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="change-navigation">
<h2>Change navigation</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="hg-bisect.html">bisect</a>:</th><td class="field-body">subdivision search of changesets</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-heads.html">heads</a>:</th><td class="field-body">show branch heads</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-identify.html">identify</a>:</th><td class="field-body">identify the working directory or specified revision (aliases: <em>id</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-log.html">log</a>:</th><td class="field-body">show revision history of entire repository or files (aliases: <em>history</em>)</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="working-directory-management">
<h2>Working directory management</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="hg-add.html">add</a>:</th><td class="field-body">add the specified files on the next commit</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-addremove.html">addremove</a>:</th><td class="field-body">add all new files, delete all missing files</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-files.html">files</a>:</th><td class="field-body">list tracked files</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-forget.html">forget</a>:</th><td class="field-body">forget the specified files on the next commit</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-purge.html">purge</a>:</th><td class="field-body">removes files not tracked by Mercurial (aliases: <em>clean</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-remove.html">remove</a>:</th><td class="field-body">remove the specified files on the next commit (aliases: <em>rm</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-rename.html">rename</a>:</th><td class="field-body">rename files; equivalent of copy + remove (aliases: <em>move, mv</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-resolve.html">resolve</a>:</th><td class="field-body">redo merges or set/view the merge status of files</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-revert.html">revert</a>:</th><td class="field-body">restore files to their checkout state</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-root.html">root</a>:</th><td class="field-body">print the root (top) of the current working directory</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-shelve.html">shelve</a>:</th><td class="field-body">save and set aside changes from the working directory</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-status.html">status</a>:</th><td class="field-body">show changed files in the working directory (aliases: <em>st</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-summary.html">summary</a>:</th><td class="field-body">summarize working directory state (aliases: <em>sum</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-unshelve.html">unshelve</a>:</th><td class="field-body">restore a shelved change to the working directory</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-update.html">update</a>:</th><td class="field-body">update working directory (or switch revisions) (aliases: <em>up, checkout, co</em>)</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="change-import-export">
<h2>Change import/export</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="hg-archive.html">archive</a>:</th><td class="field-body">create an unversioned archive of a repository revision</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-bundle.html">bundle</a>:</th><td class="field-body">create a bundle file</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-export.html">export</a>:</th><td class="field-body">dump the header and diffs for one or more changesets</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-import.html">import</a>:</th><td class="field-body">import an ordered set of patches (aliases: <em>patch</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-unbundle.html">unbundle</a>:</th><td class="field-body">apply one or more bundle files</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="repository-maintenance">
<h2>Repository maintenance</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="hg-admin::verify.html">admin::verify</a>:</th><td class="field-body">verify the integrity of the repository</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-manifest.html">manifest</a>:</th><td class="field-body">output the current or given revision of the project manifest</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-recover.html">recover</a>:</th><td class="field-body">roll back an interrupted transaction</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-verify.html">verify</a>:</th><td class="field-body">verify the integrity of the repository</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="help">
<h2>Help</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="hg-config.html">config</a>:</th><td class="field-body">show combined config settings from all hgrc files (aliases: <em>showconfig, debugconfig</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-help.html">help</a>:</th><td class="field-body">show help for a given topic or a help overview</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="hg-version.html">version</a>:</th><td class="field-body">output version and copyright information</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
</div>
<div class="section" id="additional-help-topics">
<h1>Additional Help Topics</h1>
<div class="section" id="mercurial-identifiers">
<h2>Mercurial identifiers</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="topic-filesets.html">filesets</a>:</th><td class="field-body">Specifying File Sets (aliases: <em>fileset</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-hgignore.html">hgignore</a>:</th><td class="field-body">Syntax for Mercurial Ignore Files (aliases: <em>ignore</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-patterns.html">patterns</a>:</th><td class="field-body">File Name Patterns</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-revisions.html">revisions</a>:</th><td class="field-body">Specifying Revisions (aliases: <em>revs, revsets, revset, multirevs, mrevs</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-urls.html">urls</a>:</th><td class="field-body">URL Paths</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="mercurial-output">
<h2>Mercurial output</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="topic-color.html">color</a>:</th><td class="field-body">Colorizing Outputs</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-dates.html">dates</a>:</th><td class="field-body">Date Formats</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-diffs.html">diffs</a>:</th><td class="field-body">Diff Formats</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-templating.html">templating</a>:</th><td class="field-body">Template Usage (aliases: <em>templates, template, style</em>)</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="mercurial-configuration">
<h2>Mercurial configuration</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="topic-config.html">config</a>:</th><td class="field-body">Configuration Files (aliases: <em>hgrc</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-environment.html">environment</a>:</th><td class="field-body">Environment Variables (aliases: <em>env</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-extensions.html">extensions</a>:</th><td class="field-body">Using Additional Features</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-flags.html">flags</a>:</th><td class="field-body">Command-line flags</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-hgweb.html">hgweb</a>:</th><td class="field-body">Configuring hgweb</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-merge-tools.html">merge-tools</a>:</th><td class="field-body">Merge Tools (aliases: <em>mergetools, mergetool</em>)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-pager.html">pager</a>:</th><td class="field-body">Pager Support</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-rust.html">rust</a>:</th><td class="field-body">Rust in Mercurial (aliases: <em>rustext, rhg</em>)</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="concepts">
<h2>Concepts</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="topic-bundlespec.html">bundlespec</a>:</th><td class="field-body">Bundle File Formats</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-evolution.html">evolution</a>:</th><td class="field-body">Safely rewriting history (EXPERIMENTAL)</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-glossary.html">glossary</a>:</th><td class="field-body">Glossary</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-phases.html">phases</a>:</th><td class="field-body">Working with Phases</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-subrepos.html">subrepos</a>:</th><td class="field-body">Subrepositories (aliases: <em>subrepo</em>)</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
<div class="section" id="miscellaneous">
<h2>Miscellaneous</h2>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name"><a class="reference external" href="topic-deprecated.html">deprecated</a>:</th><td class="field-body">Deprecated Features</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-internals.html">internals</a>:</th><td class="field-body">Technical implementation topics</td>
</tr>
<tr class="field"><th class="field-name"><a class="reference external" href="topic-scripting.html">scripting</a>:</th><td class="field-body">Using Mercurial from scripts and automation</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
</div>
<div class="section" id="extensions">
<h1>Extensions</h1>
<div class="section" id="acl">
<h2><a class="reference external" href="ext-acl.html">acl</a></h2>
<p>hooks for controlling repository access</p>
</div>
<div class="section" id="blackbox">
<h2><a class="reference external" href="ext-blackbox.html">blackbox</a></h2>
<p>log repository events to a blackbox for debugging</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">blackbox:</th><td class="field-body">view the recent repository events</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="bugzilla">
<h2><a class="reference external" href="ext-bugzilla.html">bugzilla</a></h2>
<p>hooks for integrating with the Bugzilla bug tracker</p>
</div>
<div class="section" id="censor">
<h2><a class="reference external" href="ext-censor.html">censor</a></h2>
<p>erase file content at a given revision</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">censor:</th><td class="field-body">(no help text available)</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="churn">
<h2><a class="reference external" href="ext-churn.html">churn</a></h2>
<p>command to display statistics about repository history</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">churn:</th><td class="field-body">histogram of changes to the repository</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="clonebundles">
<h2><a class="reference external" href="ext-clonebundles.html">clonebundles</a></h2>
<p>advertise pre-generated bundles to seed clones</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name" colspan="2">admin::clone-bundles-clear:</th></tr>
<tr class="field"><td>&nbsp;</td><td class="field-body">remove existing clone bundle caches</td>
</tr>
<tr class="field"><th class="field-name" colspan="2">admin::clone-bundles-refresh:</th></tr>
<tr class="field"><td>&nbsp;</td><td class="field-body">generate clone bundles according to the configuration</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="closehead">
<h2><a class="reference external" href="ext-closehead.html">closehead</a></h2>
<p>close arbitrary heads without checking them out first</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">close-head:</th><td class="field-body">close the given head revisions</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="convert">
<h2><a class="reference external" href="ext-convert.html">convert</a></h2>
<p>import revisions from foreign VCS repositories into Mercurial</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">convert:</th><td class="field-body">convert a foreign SCM repository to a Mercurial one.</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="eol">
<h2><a class="reference external" href="ext-eol.html">eol</a></h2>
<p>automatically manage newlines in repository files</p>
</div>
<div class="section" id="extdiff">
<h2><a class="reference external" href="ext-extdiff.html">extdiff</a></h2>
<p>command to allow external programs to compare revisions</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">extdiff:</th><td class="field-body">use external program to diff repository (or selected files)</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="factotum">
<h2><a class="reference external" href="ext-factotum.html">factotum</a></h2>
<p>http authentication with factotum</p>
</div>
<div class="section" id="fastexport">
<h2><a class="reference external" href="ext-fastexport.html">fastexport</a></h2>
<p>export repositories as git fast-import stream</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">fastexport:</th><td class="field-body">export repository as git fast-import stream</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="githelp">
<h2><a class="reference external" href="ext-githelp.html">githelp</a></h2>
<p>try mapping git commands to Mercurial commands</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">githelp:</th><td class="field-body">suggests the Mercurial equivalent of the given git command</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="gpg">
<h2><a class="reference external" href="ext-gpg.html">gpg</a></h2>
<p>commands to sign and verify changesets</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">sigcheck:</th><td class="field-body">verify all the signatures there may be for a particular revision</td>
</tr>
<tr class="field"><th class="field-name">sign:</th><td class="field-body">add a signature for the current or given revision</td>
</tr>
<tr class="field"><th class="field-name">sigs:</th><td class="field-body">list signed changesets</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="hgk">
<h2><a class="reference external" href="ext-hgk.html">hgk</a></h2>
<p>browse the repository in a graphical way</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">view:</th><td class="field-body">start interactive history viewer</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="highlight">
<h2><a class="reference external" href="ext-highlight.html">highlight</a></h2>
<p>syntax highlighting for hgweb (requires Pygments)</p>
</div>
<div class="section" id="histedit">
<h2><a class="reference external" href="ext-histedit.html">histedit</a></h2>
<p>interactive history editing</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">histedit:</th><td class="field-body">interactively edit changeset history</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="keyword">
<h2><a class="reference external" href="ext-keyword.html">keyword</a></h2>
<p>expand keywords in tracked files</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">kwdemo:</th><td class="field-body">print [keywordmaps] configuration and an expansion example</td>
</tr>
<tr class="field"><th class="field-name">kwexpand:</th><td class="field-body">expand keywords in the working directory</td>
</tr>
<tr class="field"><th class="field-name">kwfiles:</th><td class="field-body">show files configured for keyword expansion</td>
</tr>
<tr class="field"><th class="field-name">kwshrink:</th><td class="field-body">revert expanded keywords in the working directory</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="largefiles">
<h2><a class="reference external" href="ext-largefiles.html">largefiles</a></h2>
<p>track large binary files</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">lfconvert:</th><td class="field-body">convert a normal repository to a largefiles repository</td>
</tr>
<tr class="field"><th class="field-name">lfpull:</th><td class="field-body">pull largefiles for the specified revisions from the specified source</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="mq">
<h2><a class="reference external" href="ext-mq.html">mq</a></h2>
<p>manage a stack of patches</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">qapplied:</th><td class="field-body">print the patches already applied</td>
</tr>
<tr class="field"><th class="field-name">qclone:</th><td class="field-body">clone main and patch repository at same time</td>
</tr>
<tr class="field"><th class="field-name">qcommit:</th><td class="field-body">commit changes in the queue repository (DEPRECATED)</td>
</tr>
<tr class="field"><th class="field-name">qdelete:</th><td class="field-body">remove patches from queue</td>
</tr>
<tr class="field"><th class="field-name">qdiff:</th><td class="field-body">diff of the current patch and subsequent modifications</td>
</tr>
<tr class="field"><th class="field-name">qfinish:</th><td class="field-body">move applied patches into repository history</td>
</tr>
<tr class="field"><th class="field-name">qfold:</th><td class="field-body">fold the named patches into the current patch</td>
</tr>
<tr class="field"><th class="field-name">qgoto:</th><td class="field-body">push or pop patches until named patch is at top of stack</td>
</tr>
<tr class="field"><th class="field-name">qguard:</th><td class="field-body">set or print guards for a patch</td>
</tr>
<tr class="field"><th class="field-name">qheader:</th><td class="field-body">print the header of the topmost or specified patch</td>
</tr>
<tr class="field"><th class="field-name">qimport:</th><td class="field-body">import a patch or existing changeset</td>
</tr>
<tr class="field"><th class="field-name">qinit:</th><td class="field-body">init a new queue repository (DEPRECATED)</td>
</tr>
<tr class="field"><th class="field-name">qnew:</th><td class="field-body">create a new patch</td>
</tr>
<tr class="field"><th class="field-name">qnext:</th><td class="field-body">print the name of the next pushable patch</td>
</tr>
<tr class="field"><th class="field-name">qpop:</th><td class="field-body">pop the current patch off the stack</td>
</tr>
<tr class="field"><th class="field-name">qprev:</th><td class="field-body">print the name of the preceding applied patch</td>
</tr>
<tr class="field"><th class="field-name">qpush:</th><td class="field-body">push the next patch onto the stack</td>
</tr>
<tr class="field"><th class="field-name">qqueue:</th><td class="field-body">manage multiple patch queues</td>
</tr>
<tr class="field"><th class="field-name">qrefresh:</th><td class="field-body">update the current patch</td>
</tr>
<tr class="field"><th class="field-name">qrename:</th><td class="field-body">rename a patch</td>
</tr>
<tr class="field"><th class="field-name">qrestore:</th><td class="field-body">restore the queue state saved by a revision (DEPRECATED)</td>
</tr>
<tr class="field"><th class="field-name">qsave:</th><td class="field-body">save current queue state (DEPRECATED)</td>
</tr>
<tr class="field"><th class="field-name">qselect:</th><td class="field-body">set or print guarded patches to push</td>
</tr>
<tr class="field"><th class="field-name">qseries:</th><td class="field-body">print the entire series file</td>
</tr>
<tr class="field"><th class="field-name">qtop:</th><td class="field-body">print the name of the current patch</td>
</tr>
<tr class="field"><th class="field-name">qunapplied:</th><td class="field-body">print the patches not yet applied</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="notify">
<h2><a class="reference external" href="ext-notify.html">notify</a></h2>
<p>hooks for sending email push notifications</p>
</div>
<div class="section" id="patchbomb">
<h2><a class="reference external" href="ext-patchbomb.html">patchbomb</a></h2>
<p>command to send changesets as (a series of) patch emails</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">email:</th><td class="field-body">send changesets by email</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="rebase">
<h2><a class="reference external" href="ext-rebase.html">rebase</a></h2>
<p>command to move sets of revisions to a different ancestor</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">rebase:</th><td class="field-body">move changeset (and descendants) to a different branch</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="relink">
<h2><a class="reference external" href="ext-relink.html">relink</a></h2>
<p>recreates hardlinks between repository clones</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">relink:</th><td class="field-body">recreate hardlinks between two repositories</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="schemes">
<h2><a class="reference external" href="ext-schemes.html">schemes</a></h2>
<p>extend schemes with shortcuts to repository swarms</p>
</div>
<div class="section" id="share">
<h2><a class="reference external" href="ext-share.html">share</a></h2>
<p>share a common history between several working directories</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">share:</th><td class="field-body">create a new shared repository</td>
</tr>
<tr class="field"><th class="field-name">unshare:</th><td class="field-body">convert a shared repository to a normal one</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="transplant">
<h2><a class="reference external" href="ext-transplant.html">transplant</a></h2>
<p>command to transplant changesets from another branch</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">transplant:</th><td class="field-body">transplant changesets from another branch</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="win32mbcs">
<h2><a class="reference external" href="ext-win32mbcs.html">win32mbcs</a></h2>
<p>allow the use of MBCS paths with problematic encodings</p>
</div>
<div class="section" id="zeroconf">
<h2><a class="reference external" href="ext-zeroconf.html">zeroconf</a></h2>
<p>discover and advertise repositories on the local network</p>
</div>
</div>
<div class="section" id="advanced-extensions">
<h1>Advanced Extensions</h1>
<div class="section" id="commitextras">
<h2><a class="reference external" href="ext-commitextras.html">commitextras</a></h2>
<p>adds a new flag extras to commit (ADVANCED)</p>
</div>
</div>
<div class="section" id="experimental-extensions">
<h1>Experimental Extensions</h1>
<div class="section" id="absorb">
<h2><a class="reference external" href="ext-absorb.html">absorb</a></h2>
<p>apply working directory changes to changesets (EXPERIMENTAL)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">absorb:</th><td class="field-body">incorporate corrections into the stack of draft changesets</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="amend">
<h2><a class="reference external" href="ext-amend.html">amend</a></h2>
<p>provide the amend command (EXPERIMENTAL)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">amend:</th><td class="field-body">amend the working copy parent with all or specified outstanding changes</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="automv">
<h2><a class="reference external" href="ext-automv.html">automv</a></h2>
<p>check for unrecorded moves at commit time (EXPERIMENTAL)</p>
</div>
<div class="section" id="beautifygraph">
<h2><a class="reference external" href="ext-beautifygraph.html">beautifygraph</a></h2>
<p>beautify log -G output by using Unicode characters (EXPERIMENTAL)</p>
</div>
<div class="section" id="bookflow">
<h2><a class="reference external" href="ext-bookflow.html">bookflow</a></h2>
<p>implements bookmark-based branching (EXPERIMENTAL)</p>
</div>
<div class="section" id="fastannotate">
<h2><a class="reference external" href="ext-fastannotate.html">fastannotate</a></h2>
<p>yet another annotate implementation that might be faster (EXPERIMENTAL)</p>
</div>
<div class="section" id="fix">
<h2><a class="reference external" href="ext-fix.html">fix</a></h2>
<p>rewrite file content in changesets or working copy (EXPERIMENTAL)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">fix:</th><td class="field-body">rewrite file content in changesets or working directory</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="fsmonitor">
<h2><a class="reference external" href="ext-fsmonitor.html">fsmonitor</a></h2>
<p>Faster status operations with the Watchman file monitor (EXPERIMENTAL)</p>
</div>
<div class="section" id="git">
<h2><a class="reference external" href="ext-git.html">git</a></h2>
<p>grant Mercurial the ability to operate on Git repositories. (EXPERIMENTAL)</p>
</div>
<div class="section" id="hooklib">
<h2><a class="reference external" href="ext-hooklib.html">hooklib</a></h2>
<p>collection of simple hooks for common tasks (EXPERIMENTAL)</p>
</div>
<div class="section" id="journal">
<h2><a class="reference external" href="ext-journal.html">journal</a></h2>
<p>track previous positions of bookmarks (EXPERIMENTAL)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">journal:</th><td class="field-body">show the previous position of bookmarks and the working copy</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="lfs">
<h2><a class="reference external" href="ext-lfs.html">lfs</a></h2>
<p>lfs - large file support (EXPERIMENTAL)</p>
</div>
<div class="section" id="logtoprocess">
<h2><a class="reference external" href="ext-logtoprocess.html">logtoprocess</a></h2>
<p>send ui.log() data to a subprocess (EXPERIMENTAL)</p>
</div>
<div class="section" id="narrow">
<h2><a class="reference external" href="ext-narrow.html">narrow</a></h2>
<p>create clones which fetch history data for subset of files (EXPERIMENTAL)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">tracked:</th><td class="field-body">show or change the current narrowspec</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="phabricator">
<h2><a class="reference external" href="ext-phabricator.html">phabricator</a></h2>
<p>simple Phabricator integration (EXPERIMENTAL)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">phabimport:</th><td class="field-body">import patches from Phabricator for the specified Differential Revisions</td>
</tr>
<tr class="field"><th class="field-name">phabread:</th><td class="field-body">print patches from Phabricator suitable for importing</td>
</tr>
<tr class="field"><th class="field-name">phabsend:</th><td class="field-body">upload changesets to Phabricator</td>
</tr>
<tr class="field"><th class="field-name">phabupdate:</th><td class="field-body">update Differential Revision in batch</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="releasenotes">
<h2><a class="reference external" href="ext-releasenotes.html">releasenotes</a></h2>
<p>generate release notes from commit messages (EXPERIMENTAL)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">releasenotes:</th><td class="field-body">parse release notes from commit messages into an output file</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="remotefilelog">
<h2><a class="reference external" href="ext-remotefilelog.html">remotefilelog</a></h2>
<p>remotefilelog causes Mercurial to lazilly fetch file contents (EXPERIMENTAL)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">gc:</th><td class="field-body">garbage collect the client and server filelog caches</td>
</tr>
<tr class="field"><th class="field-name">prefetch:</th><td class="field-body">prefetch file revisions from the server</td>
</tr>
<tr class="field"><th class="field-name">repack:</th><td class="field-body">(no help text available)</td>
</tr>
<tr class="field"><th class="field-name" colspan="2">verifyremotefilelog:</th></tr>
<tr class="field"><td>&nbsp;</td><td class="field-body">(no help text available)</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="remotenames">
<h2><a class="reference external" href="ext-remotenames.html">remotenames</a></h2>
<p>showing remotebookmarks and remotebranches in UI (EXPERIMENTAL)</p>
</div>
<div class="section" id="show">
<h2><a class="reference external" href="ext-show.html">show</a></h2>
<p>unified command to show various repository information (EXPERIMENTAL)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">show:</th><td class="field-body">show various repository information</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="sparse">
<h2><a class="reference external" href="ext-sparse.html">sparse</a></h2>
<p>allow sparse checkouts of the working directory (EXPERIMENTAL)</p>
</div>
<div class="section" id="split">
<h2><a class="reference external" href="ext-split.html">split</a></h2>
<p>command to split a changeset into smaller ones (EXPERIMENTAL)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">split:</th><td class="field-body">split a changeset into smaller ones</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="uncommit">
<h2><a class="reference external" href="ext-uncommit.html">uncommit</a></h2>
<p>uncommit part or all of a local changeset (EXPERIMENTAL)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">unamend:</th><td class="field-body">undo the most recent amend operation on a current changeset</td>
</tr>
<tr class="field"><th class="field-name">uncommit:</th><td class="field-body">uncommit part or all of a local changeset</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="section" id="deprecated-extensions">
<h1>Deprecated Extensions</h1>
<div class="section" id="children">
<h2><a class="reference external" href="ext-children.html">children</a></h2>
<p>command to display child changesets (DEPRECATED)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">children:</th><td class="field-body">show the children of the given or working directory revision</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="fetch">
<h2><a class="reference external" href="ext-fetch.html">fetch</a></h2>
<p>pull, update and merge in one command (DEPRECATED)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">fetch:</th><td class="field-body">pull changes from a remote repository, merge new changes if needed.</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="graphlog">
<h2><a class="reference external" href="ext-graphlog.html">graphlog</a></h2>
<p>command to view revision graphs from a shell (DEPRECATED)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">glog:</th><td class="field-body">show revision history alongside an ASCII revision graph</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="pager">
<h2><a class="reference external" href="ext-pager.html">pager</a></h2>
<p>browse command output with an external pager (DEPRECATED)</p>
</div>
<div class="section" id="purge">
<h2><a class="reference external" href="ext-purge.html">purge</a></h2>
<p>command to delete untracked files from the working directory (DEPRECATED)</p>
</div>
<div class="section" id="record">
<h2><a class="reference external" href="ext-record.html">record</a></h2>
<p>commands to interactively select changes for commit/qrefresh (DEPRECATED)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">qrecord:</th><td class="field-body">interactively record a new patch</td>
</tr>
<tr class="field"><th class="field-name">record:</th><td class="field-body">interactively select changes to commit</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="strip">
<h2><a class="reference external" href="ext-strip.html">strip</a></h2>
<p>strip changesets and their descendants from history (DEPRECATED)</p>
</div>
<div class="section" id="win32text">
<h2><a class="reference external" href="ext-win32text.html">win32text</a></h2>
<p>perform automatic newline conversion (DEPRECATED)</p>
</div>
</div>
</div>
</body>
</html>
